Criteri per l'aggiornamento delle estensioni

Com'è noto, la Mozilla Foundation ha deciso da qualche mese di adottare una nuova strategia di aggiornamento per Firefox e Thunderbird, che si basa sul rilascio di nuove "major version" ogni sei-otto settimane.

Questo rende praticamente impossibile per me seguire e testare tutte le mie tante estensioni con le varie versioni dei programmi che si succedono con tale frequenza.

Per conciliare le mie esigenze personali e le richieste di tutte le persone che usano le mie estensioni, ho deciso di adottare una nuova strategia: rilasciare le nuove versioni a partire dal 28 agosto 2011 con la compatibilità "formale" fino a Thunderbird / Firefox 9.

Ciò significa che le estensioni non saranno disabilitate dai prossimi nuovi aggiornamenti di Thunderbird / Firefox, ma non posso garantire che funzionino in modo corretto in tutti i loro aspetti. E' importante chiarire che non c' è nessun rischio di perdita di dati.

Invito tutti quanti a segnalrmi eventuali malfunzionamenti, cui porrò rimedio nel più breve tempo possibile.

In buona sostanza, per quanto riguarda le mie estensioni, ho messo in atto in anticipo un proponimento che la stessa Mozilla Foundation sta studiando per il futuro: rendere di default le estensioni compatibili con le nuove versioni di Thunderbird / Firefox (cfr. questa pagina).

Non è una decisione che considero ideale, ma è un compromesso necessario per continuare a rendere disponibili le mie estensioni e per avere tempo per migliorarle.


Paolo "Kaosmos" - 28 ago 2011